# 1.0.0[−][src]Module std::os::unix::fs

This is supported on Unix only.

Unix-specific extensions to primitives in the `std::fs` module.

## Traits

DirBuilderExt | Unix-specific extensions to `fs::DirBuilder`.
DirEntryExt | Unix-specific extension methods for `fs::DirEntry`.
FileExt | Unix-specific extensions to `fs::File`.
FileTypeExt | Unix-specific extensions for `fs::FileType`.
MetadataExt | Unix-specific extensions to `fs::Metadata`.
OpenOptionsExt | Unix-specific extensions to `fs::OpenOptions`.
PermissionsExt | Unix-specific extensions to `fs::Permissions`.

## Functions

symlink | Creates a new symbolic link on the filesystem.